# __init__.py

from .ggplot import ggplot
from .ggtitle import ggtitle
from .aes import aes
from .themes import (
    theme_default,
    theme_ggplot2,
    theme_nytimes,
    theme_minimal,
    # theme_bw,
    theme_dark,
    theme_classic,
    theme_custom,
    element_text,
    element_line,
    element_rect,
)
from .facets import Facet, facet_wrap, facet_grid
from .coords import Coord, coord_flip, coord_polar, coord_cartesian
from .geoms import (
    geom_point,
    geom_line,
    geom_bar,
    geom_col,
    geom_histogram,
    geom_boxplot,
    geom_smooth,
    geom_area,
    geom_density,
    geom_violin,
    geom_ribbon,
    geom_tile,
    geom_text,
    geom_errorbar,
    geom_segment,
    geom_step,
)
from .scales import (
    scale_x_continuous,
    scale_y_continuous,
    scale_color_manual,
    scale_color_brewer,
    scale_fill_gradient,
    scale_fill_manual,
    scale_size,
    scale_x_log10,
    scale_y_log10,
    scale_color_gradient,
)
from .guides import labs
from .positions import position_dodge, position_jitter, position_stack
from .utils import ggsave, ggsize

__all__ = [
    "ggplot",
    "ggsave",
    "ggsize",
    "ggtitle",
    "aes",
    "theme_default",
    "theme_ggplot2",
    "theme_nytimes",
    "theme_minimal",
    # "theme_bw",
    "theme_dark",
    "theme_classic",
    "theme_custom",
    "element_text",
    "element_line",
    "element_rect",
    "Facet",
    "facet_wrap",
    "facet_grid",
    "Coord",
    "coord_flip",
    "coord_polar",
    "coord_cartesian",
    "labs",
    "position_dodge",
    "position_jitter",
    "position_stack",
    "geom_point",
    "geom_line",
    "geom_bar",
    "geom_col",
    "geom_histogram",
    "geom_boxplot",
    "geom_smooth",
    "geom_area",
    "geom_density",
    "geom_violin",
    "geom_ribbon",
    "geom_tile",
    "geom_text",
    "geom_errorbar",
    "geom_segment",
    "geom_step",
    "scale_x_continuous",
    "scale_y_continuous",
    "scale_color_manual",
    "scale_color_brewer",
    "scale_fill_gradient",
    "scale_fill_manual",
    "scale_size",
    "scale_x_log10",
    "scale_y_log10",
    "scale_color_gradient",
]
